<%= semantic_form_for [:admin, resource] do |f| %>
  <%= f.inputs do %>
    <%= f.input :title %>
    <%= f.input :state, collection: pubdraft_state_options(resource.class),
                        as: :select %>

    <% if f.object.respond_to?(:blocks) %>
      <%= blocks_form(f) %>
    <% else %>
      <%= f.input :body %>
    <% end %>
  <% end %>

  <%= f.inputs 'Schedules' do %>
    <% f.has_many :schedules,
                   heading: false, allow_destroy: true do |s| %>
      <% s.input :start_time, as: :string,
                 input_html: { class: 'datetime-picker' } %>
      <% s.input :end_time, as: :string,
                 input_html: { class: 'datetime-picker' } %>

      <% s.input :days_of_week, as: :check_boxes,
                 label: "Repeat Every",
                 collection: days_of_week %>

      <% s.input :recur_until, as: :string, label: "Until this day",
                 input_html: { class: 'date-picker' } %>
    <% end %>
  <% end %>

  <%= f.actions %>
<% end %>
